| Home | Libraries | People | FAQ | More

##### http::message::need_eof

Returns `true` if the message semantics require an end of file.

###### Synopsis

    bool
    need_eof() const;

###### Description

For HTTP requests, this function returns the logical NOT of a call to `keep_alive`.

For HTTP responses, this function returns the logical NOT of a call to `keep_alive` if any of the following are true:

- `has_content_length` would return `true`
- `chunked` would return `true`
- `result` returns `status::no_content`
- `result` returns `status::not_modified`
- `result` returns any informational status class (100 to 199)

Otherwise, the function returns `true`.

###### See Also

https://tools.ietf.org/html/rfc7230#section-3.3